# アクティブアラートを受け取る 指定した条件に一致する特定のシステムアラートを取得します。 ![](https://docs.equinix.com/ja/assets/images/get-active-alerts-1a54cef86fa5a71febd09af2d9f9c16a.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 ## システムアラートの検索[​](#システムアラートの検索 "への直接リンクシステムアラートの検索") 指定した検索条件に一致するシステムアラートを検索するには、エンドポイントにリクエストを[`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/ja/api-catalog/smartviewv2/dcim-system-alert/getalerts.md)送信します。`POST`リクエストの本文で検索条件を指定します。 サンプル cURL リクエスト - アクティブなシステムアラートを取得します: ``` curl -X POST 'https://api.equinix.com/smartview/v2/systemAlerts/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/status",                 "operator": "=",                 "values": [                     "ACTIVE"                 ]             }         ]     },     "pagination": {         "offset": 0,         "limit": 50     } }' ``` 回答例 ``` {     "data": [         {             "id": 1931,             "alertUid": "LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "traceUid": "1687495706640/LD9.Generator-DH09-PG2:gensetavailableinauto#DIGITAL:ALARM",             "assetTagUid": "LD9.Generator-DH09-PG2:gensetavailableinauto",             "assetTagDisplayName": "Genset Available In Auto",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "CLOSED"             },             "asset": {                 "ibx": "LD9",                 "assetUid": "LD9.Generator-DH09-PG2",                 "assetType": "Generator",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-23T04:48:26.640Z",                 "tagCalculationJobProcessedOn": "2023-06-23T04:48:26.840Z",                 "processingStartOn": "2023-06-23T04:49:01.182223Z",                 "processingEndOn": "2023-06-23T04:49:01.282301Z",                 "publishedOn": "2023-06-23T04:49:01.282301Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         },         {             "id": 9684,             "alertUid": "LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "traceUid": "1687474008537/LD4.UPS-4-2-G-15:lowbatteryalarm#DIGITAL:ALARM",             "assetTagUid": "LD4.UPS-4-2-G-15:lowbatteryalarm",             "assetTagDisplayName": "Low Battery Alarm",             "status": "ACTIVE",             "value": {                 "alertTagValue": "true",                 "alertTagValueDisplayName": "OPEN",                 "activeAlertTagValueDisplayName": "OPEN",                 "currentTagValue": "OPEN"             },             "asset": {                 "ibx": "LD4",                 "assetUid": "LD4.UPS-4-2-G-15",                 "assetType": "UPS",                 "assetClassification": "Electrical",                 "assetRegion": null,                 "assetUnderMaintenance": false             },             "configuration": {                 "thresholdValue": "1",                 "thresholdValueDisplayName": "OPEN",                 "unitOfMeasurement": "&",                 "thresholdType": "DIGITAL",                 "conditionName": "ALARM",                 "configurationVersion": "1.0"             },             "activeProcessing": {                 "edgeCollectedOn": "2023-06-22T22:46:48.537Z",                 "tagCalculationJobProcessedOn": "2023-06-22T22:46:48.737Z",                 "processingStartOn": "2023-06-22T22:47:37.722099Z",                 "processingEndOn": "2023-06-22T22:47:37.802681Z",                 "publishedOn": "2023-06-22T22:47:37.802681Z"             },             "inactiveProcessing": {                 "edgeCollectedOn": null,                 "tagCalculationJobProcessedOn": null,                 "processingStartOn": null,                 "processingEndOn": null,                 "publishedOn": null             }         }     ],     "pagination": {         "offset": 20,         "limit": 10,         "total": 2     } } ``` ## すべてのシステムアラートの取得[​](#すべてのシステムアラートの取得 "への直接リンクすべてのシステムアラートの取得") すべてのシステムアラートを取得するには、エンドポイントにリクエストを[`/smartview/v2/systemAlerts/search`](https://docs.equinix.com/ja/api-catalog/smartviewv2/dcim-system-alert/postalerts.md)送信します。`GET`ページネーションとフィルタリングの条件は、クエリパラメータとして使用できます。